Subject: UU-decode an attached file in ASCII

From: Jorge Villanueva <[email-masked]>
Date: Fri, 20 Dec 1996 14:55:21 -0600 (CST)

961220 fri 14:55
                                                Mexico City
Simon Bradley

I received an e-mail that has an attachment file within the body of the 
text (something like an ASCII file within the text).

I understand that you have been dealing with UU-decode and e-mail.

I quote: "If you're sent a uuencoded file as an attachment (though I don't
see why anyone would use both!), you can (in Pine 3.9x) V (View) the
attachment, then | (Pipe) it to uudecode."

But it doesn't work fine with me, I issue the following commands:

   1) In Pine (v3.91 in Unix) I receive the e-mail with the attached file,
      with the ASCII file within the text. 

   2) I Export the whole message to a file (i.e. email.txt) in my Unix
      disk

   3) I edit (with Pico) this email.txt file, and I add an End line at the
      end of the "ASCII" lines.

      At the beginning of the "ASCII" part it says: Begin 666 gf.pdf

   4) When I run the uudecode command in Unix it says: Short file
        $ uudecode email.txt
        Short file

      but it generates de correspondent gf.pdf file

   5) But the application program, that it was the creator of this gf.pdf,
      can not read it

What can I do?. Will you be so kind and help me.

Jorge Villanueva                        office  [52] (5) 595 5400 ext 5665
Comision Federal de Electricidad        fax     [52] (5) 595 5400 ext 5736
                                        home    [52] (5) 595 6468
                                        email   [email-masked]

--------------------------------------------------------------------------
Reference:

Re: Does .mailcap support uudecode?
http://www1.cac.washington.edu/pine/pine-info/95.03/msg00065.html

     To: [email-masked] 
     Subject: Re: Does .mailcap support uudecode? 
     From: Brad <[email-masked]> 
     Date: Fri, 3 Mar 1995 17:18:19 +0000 
     In-Reply-To: <[email-masked]> 
     References: <[email-masked]> 
     Sender: [email-masked] 

        If you're sent a uuencoded file as an attachment (though I don't see
why anyone would use both!), you can (in Pine 3.9x) V (View) the attachment,
then | (Pipe) it to uudecode. 

  ___  _                      _a' /(   <.  Simon Bradley, Knight Protector!
 / __><_>._ _ _  ___ ._ _  ~~ _}\ \(  _  ) E-mail: [email-masked]
 \__ \| || ' ' |/ . \| ' |       \(._(.)'  Finger: [email-masked]
 <___/|_||_|_|_|\___/|_|_|      ._>. _>.   WWW: http://www.aber.ac.uk/~syb3/
--------------------------------------------------------------------------

Another reference

From [email-masked]
From: "by way of Francisco de la Parra <[email-masked]>"
     <[email-masked]>
To: Jorge Villanueva <[email-masked]>
Subject: Gas Daily

Gas Daily

Dear Francisco:

I am sorry we're having problems with the attached GD.PDF file. I am
attaching the (binary) file to my (ASCII) e-mail,
but it appears your e-mail software is reattaching it.

I believe the problem is that our system UU-encodes binary files for
transmission over the Internet (all files must be
in ASCII text to be transmitted). This means your system must use
UU-decoding to turn the file back into a binary file.
I am guessing your system is using a different encryption method, namely MIME.

For the purposes of sending you a copy of Gas Daily, the problem can be
resolved in a number of ways. Here are
some examples:

Post you a copy
Fax you a copy
Manually UU-decode the attached file
Subscribe to CompuServe, America Online, or another service that supports
UU-decoding

Please advise me as to the technique we should use. I have again attached a
copy of Gas Daily (GD.PDF) in the
hope you can UU-decode it.

I hope we can iron this problem out soon.
Sincerely,

David Bottorff
Editor
Gas Daily

begin 666 gd.pdf

<end of the second reference>